Fapi_SetAppData(3)

NAME
Fapi_SetAppData - Fapi_SetAppData

SYNOPSIS

  Functions

TSS2_RC Fapi_SetAppData (FAPI_CONTEXT *context, char const *path, uint8_t const *appData, size_t appDataSize)
TSS2_RC Fapi_SetAppData_Async (FAPI_CONTEXT *context, char const *path, uint8_t const *appData, size_t appDataSize)
TSS2_RC Fapi_SetAppData_Finish (FAPI_CONTEXT *context)

Detailed Description

FAPI functions to invoke SetAppData either as one-call or in an asynchronous manner.

Function Documentation

  TSS2_RC Fapi_SetAppData (FAPI_CONTEXT * context, char const * path, uint8_t const * appData, size_t appDataSize)
One-Call function for Fapi_SetAppData

Associates an arbitrary data blob with a given object.

Parameters
    context The FAPI_CONTEXT
    path The path to the object the blob is associated with
    appData The blob to associate with the object. May be NULL
    appDataSize The size of appData in bytes. Must be 0 if appData is NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL or if appData is NULL and appDataSize is not 0.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  TSS2_RC Fapi_SetAppData_Async (FAPI_CONTEXT * context, char const * path, uint8_t const * appData, size_t appDataSize)
One-Call function for Fapi_SetAppData

Associates an arbitrary data blob with a given object.

Call Fapi_SetAppData_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path to the object the blob is associated with
    appData The blob to associate with the object. May be NULL
    appDataSize The size of appData in bytes. Must be 0 if appData is NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL or if appData is NULL and appDataSize is not 0.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  TSS2_RC Fapi_SetAppData_Finish (FAPI_CONTEXT * context)
Asynchronous finish function for Fapi_SetAppData

This function should be called after a previous Fapi_SetAppData_Async.

Parameters
    context The FAPI_CONTEXT

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_BAD_PATH if a path is used in inappropriate context or contains illegal characters.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.